Package org.apache.tapestry5.internal.services.assets

## Class AssetChecksumGeneratorImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.assets.AssetChecksumGeneratorImpl

- All Implemented Interfaces:
    `AssetChecksumGenerator`

      public class AssetChecksumGeneratorImpl
      extends java.lang.Object
      implements AssetChecksumGenerator

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AssetChecksumGeneratorImpl​(StreamableResourceSource streamableResourceSource, ResourceChangeTracker tracker)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `generateChecksum​(Resource resource)` | Given a raw resource, generates an MD5 checksum of the resource's contents.
    `java.lang.String` | `generateChecksum​(StreamableResource resource)` | Given a streamable resource, generates an MD5 checksum of the resource's contents.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssetChecksumGeneratorImpl

          public AssetChecksumGeneratorImpl​(StreamableResourceSource streamableResourceSource,
                                            ResourceChangeTracker tracker)

  - ### Method Detail

    - #### generateChecksum

          public java.lang.String generateChecksum​(Resource resource)
                                            throws java.io.IOException

      Description copied from interface: `AssetChecksumGenerator`
      Given a raw resource, generates an MD5 checksum of the resource's contents.
      Specified by:
        `generateChecksum` in interface `AssetChecksumGenerator`
      Returns:
        checksum of contents
      Throws:
        `java.io.IOException`

    - #### generateChecksum

          public java.lang.String generateChecksum​(StreamableResource resource)
                                            throws java.io.IOException

      Description copied from interface: `AssetChecksumGenerator`
      Given a streamable resource, generates an MD5 checksum of the resource's contents.
      Specified by:
        `generateChecksum` in interface `AssetChecksumGenerator`
      Returns:
        checksum of contents
      Throws:
        `java.io.IOException`